## org.apache.hadoop.record.compiler.generated
Class RccTokenManager

    java.lang.Object
      org.apache.hadoop.record.compiler.generated.RccTokenManager

All Implemented Interfaces:
  RccConstants

    public class RccTokenManager

extends Object
implements RccConstants

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream`
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface org.apache.hadoop.record.compiler.generated.RccConstants
`BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

Constructor Summary
`RccTokenManager(SimpleCharStream stream)`
`RccTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### RccTokenManager

    public RccTokenManager(SimpleCharStream stream)

### RccTokenManager

    public RccTokenManager(SimpleCharStream stream,
                           int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2009 The Apache Software Foundation